## cups 1.4.4-7+squeeze9

=== backend/Makefile ===
#
# "$Id: Makefile 8400 2009-03-03 19:39:21Z mike $"
#
#   Backend makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 2007-2009 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs

RBACKENDS =	ipp lpd $(DNSSD_BACKEND)
UBACKENDS =	$(PAP) $(LEGACY_BACKENDS) serial snmp socket usb
UNITTESTS =	test1284 testbackend testsupplies
TARGETS =	libbackend.a $(RBACKENDS) $(UBACKENDS)
LIBOBJS	=	ieee1284.o network.o runloop.o snmp-supplies.o
OBJS	=	ipp.o lpd.o dnssd.o pap.o parallel.o scsi.o serial.o snmp.o \
		socket.o test1284.o testbackend.o testsupplies.o usb.o


#
# Make all targets...
#

all:	$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:	$(UNITTESTS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS) $(UNITTESTS) $(LIBOBJS) http mdns


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/backend
	for file in $(RBACKENDS); do \
		$(LIBTOOL) $(INSTALL_BIN) -m 700 $$file $(SERVERBIN)/backend; \
	done
	for file in $(UBACKENDS); do \
		$(INSTALL_BIN) $$file $(SERVERBIN)/backend; \
	done
	$(RM) $(SERVERBIN)/backend/http
	$(LN) ipp $(SERVERBIN)/backend/http
	if test "x$(DNSSD_BACKEND)" != x; then \
		$(RM) $(SERVERBIN)/backend/mdns; \
		$(LN) $(DNSSD_BACKEND) $(SERVERBIN)/backend/mdns; \
	fi
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		for file in $(TARGETS); do \
			cp $$file $(SYMROOT); \
		done \
	fi


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall all targets...
#

uninstall:
	for file in $(RBACKENDS) $(UBACKENDS); do \
		$(RM) $(SERVERBIN)/backend/$$file; \
	done
	$(RM) $(SERVERBIN)/backend/http
	-$(RMDIR) $(SERVERBIN)/backend
	-$(RMDIR) $(SERVERBIN)


#
# test1284
#

test1284:	test1284.o ../cups/libcups.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o test1284 test1284.o ../cups/libcups.a \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# testbackend
#

testbackend:	testbackend.o ../cups/libcups.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o testbackend testbackend.o ../cups/libcups.a \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# testsupplies
#

testsupplies:	testsupplies.o libbackend.a ../cups/libcups.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o testsupplies testsupplies.o libbackend.a \
		../cups/libcups.a $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# libbackend.a
#

libbackend.a:	$(LIBOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# dnssd
#

dnssd:	dnssd.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o dnssd dnssd.o libbackend.a $(LIBS)
	$(RM) mdns
	$(LN) dnssd mdns


#
# ipp
#

ipp:	ipp.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o ipp ipp.o libbackend.a $(LIBS)
	$(RM) http
	$(LN) ipp http


#
# lpd
#

lpd:	lpd.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o lpd lpd.o libbackend.a $(LIBS)


#
# pap
#

pap:	pap.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o pap pap.o $(BACKLIBS) $(LIBS) -framework AppleTalk


#
# parallel
#

parallel:	parallel.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o parallel parallel.o libbackend.a $(LIBS)


#
# scsi
#

scsi:	scsi.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o scsi scsi.o $(LIBS)

scsi.o:	scsi.c scsi-irix.c scsi-linux.c


#
# serial
#

serial:	serial.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o serial serial.o libbackend.a $(BACKLIBS) $(LIBS)


#
# snmp
#

snmp:	snmp.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o snmp snmp.o libbackend.a $(LIBS)


#
# socket
#

socket:	socket.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o socket socket.o libbackend.a $(LIBS)


#
# usb
#

usb:	usb.o ../cups/$(LIBCUPS) libbackend.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o usb usb.o libbackend.a $(LIBUSB) \
		$(BACKLIBS) $(LIBS)
usb.o:	usb.c usb-darwin.c usb-libusb.c usb-unix.c


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 8400 2009-03-03 19:39:21Z mike $".
#

=== fonts/Makefile ===
#
# "$Id: Makefile 8106 2008-11-11 00:57:12Z mike $"
#
#   Fonts makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 2007-2008 by Apple Inc.
#   Copyright 1993-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs

#
# Font files...
#

FONTS	=	\
		Monospace \
		Monospace-Bold \
		Monospace-BoldOblique \
		Monospace-Oblique


#
# Make everything...
#

all:


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:


#
# Dummy depend target...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	$(INSTALL_DIR) -m 755 $(DATADIR)/fonts
	if test "x$(BANNERTOPS)" != x -o "x$(TEXTTOPS)" != x; then \
		for file in $(FONTS); do \
			$(INSTALL_DATA) $$file $(DATADIR)/fonts; \
		done \
	fi


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall:
	for file in $(FONTS); do \
		$(RM) $(DATADIR)/fonts/$$file; \
	done
	$(RMDIR) $(DATADIR)/fonts


#
# End of "$Id: Makefile 8106 2008-11-11 00:57:12Z mike $".
#

=== man/Makefile ===
#
# "$Id: Makefile 8627 2009-05-13 21:39:17Z mike $"
#
#   Man page makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 2007-2008 by Apple Inc.
#   Copyright 1993-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


#
# Man pages...
#

MAN1	=	cancel.$(MAN1EXT) \
		cups-config.$(MAN1EXT) \
		cupstestdsc.$(MAN1EXT) \
		cupstestppd.$(MAN1EXT) \
		lp.$(MAN1EXT) \
		lpoptions.$(MAN1EXT) \
		lppasswd.$(MAN1EXT) \
		lpq.$(MAN1EXT) \
		lprm.$(MAN1EXT) \
		lpr.$(MAN1EXT) \
		lpstat.$(MAN1EXT) \
		ppdc.$(MAN1EXT) \
		ppdhtml.$(MAN1EXT) \
		ppdi.$(MAN1EXT) \
		ppdmerge.$(MAN1EXT) \
		ppdpo.$(MAN1EXT)
MAN5	=	classes.conf.$(MAN5EXT) \
		client.conf.$(MAN5EXT) \
		cups-snmp.conf.$(MAN5EXT) \
		cupsd.conf.$(MAN5EXT) \
		mailto.conf.$(MAN5EXT) \
		mime.convs.$(MAN5EXT) \
		mime.types.$(MAN5EXT) \
		ppdcfile.$(MAN5EXT) \
		printers.conf.$(MAN5EXT) \
		subscriptions.conf.$(MAN5EXT)
MAN7	=	backend.$(MAN7EXT) \
		drv.$(MAN7EXT) \
		filter.$(MAN7EXT) \
		notifier.$(MAN7EXT)
MAN8	=	cupsaccept.$(MAN8EXT) \
		cupsaddsmb.$(MAN8EXT) \
		cupsctl.$(MAN8EXT) \
		cupsfilter.$(MAN8EXT) \
		cups-deviced.$(MAN8EXT) \
		cups-driverd.$(MAN8EXT) \
		cups-lpd.$(MAN8EXT) \
		cups-polld.$(MAN8EXT) \
		cupsd.$(MAN8EXT) \
		cupsenable.$(MAN8EXT) \
		lpadmin.$(MAN8EXT) \
		lpinfo.$(MAN8EXT) \
		lpmove.$(MAN8EXT) \
		lpc.$(MAN8EXT)


#
# Make everything...
#

all:	$(MAN1) $(MAN5) $(MAN7) $(MAN8) html


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:
	$(RM) mantohtml mantohtml.o
	$(RM) $(MAN1) $(MAN5) $(MAN7) $(MAN8)
	for file in $(MAN1); do \
		$(RM) ../doc/help/man-`basename $$file .$(MAN1EXT)`.html; \
	done
	for file in $(MAN5); do \
		$(RM) ../doc/help/man-`basename $$file .$(MAN5EXT)`.html; \
	done
	for file in $(MAN7); do \
		$(RM) ../doc/help/man-`basename $$file .$(MAN7EXT)`.html; \
	done
	for file in $(MAN8); do \
		$(RM) ../doc/help/man-`basename $$file .$(MAN8EXT)`.html; \
	done


#
# Dummy depend target...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: all
	$(INSTALL_DIR) -m 755 $(MANDIR)/man1
	for file in $(MAN1); do \
		echo Installing $$file in $(MANDIR)/man1...; \
		$(INSTALL_MAN) $$file $(MANDIR)/man1; \
	done
	$(INSTALL_DIR) -m 755 $(MANDIR)/man5
	for file in $(MAN5); do \
		echo Installing $$file in $(MANDIR)/man5...; \
		$(INSTALL_MAN) $$file $(MANDIR)/man5; \
	done
	$(INSTALL_DIR) -m 755 $(MANDIR)/man7
	for file in $(MAN7); do \
		echo Installing $$file in $(MANDIR)/man7...; \
		$(INSTALL_MAN) $$file $(MANDIR)/man7; \
	done
	$(INSTALL_DIR) -m 755 $(AMANDIR)/man$(MAN8DIR)
	for file in $(MAN8); do \
		echo Installing $$file in $(AMANDIR)/man$(MAN8DIR)...; \
		$(INSTALL_MAN) $$file $(AMANDIR)/man$(MAN8DIR); \
	done
	for file in accept cupsreject reject; do \
		$(RM) $(AMANDIR)/man$(MAN8DIR)/$$file.$(MAN8EXT); \
		$(LN) cupsaccept.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/$$file.$(MAN8EXT); \
	done
	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	$(LN) cupsenable.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall:
	for file in $(MAN1); do \
		$(RM) $(MANDIR)/man1/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man1
	for file in $(MAN5); do \
		$(RM) $(MANDIR)/man5/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man5
	for file in $(MAN7); do \
		$(RM) $(MANDIR)/man7/$$file; \
	done
	-$(RMDIR) $(MANDIR)/man7
	for file in $(MAN8); do \
		$(RM) $(AMANDIR)/man$(MAN8DIR)/$$file; \
	done
	$(RM) $(AMANDIR)/man$(MAN8DIR)/accept.$(MAN8EXT)
	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsreject.$(MAN8EXT)
	$(RM) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	-$(RMDIR) $(AMANDIR)/man$(MAN8DIR)


#
# Make html versions of man pages...
#

html:	$(MAN1) $(MAN5) $(MAN7) $(MAN8) mantohtml
	echo Converting man pages to HTML...
	for file in $(MAN1); do \
		echo "    $$file..."; \
		./mantohtml `basename $$file .$(MAN1EXT)`.man >../doc/help/man-`basename $$file .$(MAN1EXT)`.html; \
	done
	for file in $(MAN5); do \
		echo "    $$file..."; \
		./mantohtml `basename $$file .$(MAN5EXT)`.man >../doc/help/man-`basename $$file .$(MAN5EXT)`.html; \
	done
	for file in $(MAN7); do \
		echo "    $$file..."; \
		./mantohtml `basename $$file .$(MAN7EXT)`.man >../doc/help/man-`basename $$file .$(MAN7EXT)`.html; \
	done
	for file in $(MAN8); do \
		echo "    $$file..."; \
		./mantohtml `basename $$file .$(MAN8EXT)`.man >../doc/help/man-`basename $$file .$(MAN8EXT)`.html; \
	done

mantohtml:	mantohtml.o
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ mantohtml.o


#
# End of "$Id: Makefile 8627 2009-05-13 21:39:17Z mike $".
#

=== debian/local/filters/pdf-filters/pdftoopvp/Makefile ===
#
# "$Id: Makefile 6649 2007-07-11 21:46:42Z till $"
#
#   pdftopdf filter Makefile for the Common UNIX Printing System (CUPS).
#

include ../Makedefs

#
# Object files...
#

LIBOBJS	=	\
		OPVPOutputDev.o

OBJS	=	pdftoopvp.o $(LIBOBJS)

TARGETS	=	pdftoopvp


#
# Make everything...
#

all:	$(TARGETS)


#
# Blank targets to satisfy the main Makefile of CUPS ...
#

libs:
apihelp:
framedhelp:


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) pdftoopvp


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I. -I.. -Ioprs -Iopvp -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# Install the filter...
#

install:	install-data install-headers install-libs install-exec

install-data:	all
	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	$(INSTALL_BIN) -m 644 99pdftoopvp.conf $(BUILDROOT)$(sysconfdir)/fonts/conf.d

install-exec:	all
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	$(INSTALL_BIN) pdftoopvp $(SERVERBIN)/filter

install-headers:

install-libs:

#
# Uninstall the filter...
#

uninstall:
	$(RM) $(SERVERBIN)/filter/pdftoopvp
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)
	$(RM) $(BUILDROOT)$(sysconfdir)/fonts/conf.d/99pdftoopvp.conf
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts


#
# pdftoopvp
#

oprs/liboprs.a:
	\$(MAKE) -C oprs

pdftoopvp:	pdftoopvp.o $(LIBOBJS) ../cups/$(LIBCUPS) oprs/liboprs.a
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftoopvp.o $(LIBOBJS) oprs/liboprs.a $(POPPLER_LIBS) $(FREETYPE_LIBS) $(FONTCONFIG_LIBS) $(CXXLIBS) -lpng -ldl


#
# Dependencies...
#

include Dependencies

#
# Make unit tests...
#

unittests:

#
# End of "$Id: Makefile 6649 2007-07-11 21:46:42Z till $".
#

=== debian/local/filters/pdf-filters/pdftopdf/Makefile ===
#
# "$Id: Makefile 6649 2007-07-11 21:46:42Z till $"
#
#   pdftopdf filter Makefile for the Common UNIX Printing System (CUPS).
#

include ../Makedefs

#
# Object files...
#

LIBOBJS	=	\
		P2PCatalog.o \
		P2PDoc.o \
		P2PGfx.o \
		P2PObject.o \
		P2POutput.o \
		P2POutputStream.o \
		P2PPage.o \
		P2PPageTree.o \
		P2PResources.o \
		P2PXRef.o \
		P2PFont.o \
		PDFFTrueTypeFont.o \
		P2PPattern.o \
		P2PCharCodeToUnicode.o \
		P2PCMap.o \
		parseargs.o \
		UGooString.o

OBJS	=	pdftopdf.o $(LIBOBJS)

TARGETS	=	pdftopdf


#
# Make everything...
#

all:	$(TARGETS)


#
# Blank targets to satisfy the main Makefile of CUPS ...
#

libs:
apihelp:
framedhelp:


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) pdftopdf


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# Install the filter...
#

install:	install-data install-headers install-libs install-exec

install-data:

install-exec:	all
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	$(INSTALL_BIN) pdftopdf $(SERVERBIN)/filter

install-headers:

install-libs:

#
# Uninstall the filter...
#

uninstall:
	$(RM) $(SERVERBIN)/filter/pdftopdf
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)


#
# pdftopdf
#

pdftopdf:	pdftopdf.o $(LIBOBJS) ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftopdf.o $(LIBOBJS) $(POPPLER_LIBS) $(CXXLIBS) -lm -lz


#
# Dependencies...
#

include Dependencies

#
# Dependencies...
#

include Dependencies

#
# Make unit tests...
#

unittests:

#
# End of "$Id: Makefile 6649 2007-07-11 21:46:42Z till $".
#

=== debian/local/filters/pdf-filters/filter/fontembed/Makefile ===
SOURCES=main.c sfnt.c embed.c embed_sfnt.c test_analyse.c dynstring.c test_pdf.c fontfile.c
LIBOBJ=sfnt.o embed.o embed_sfnt.o dynstring.o fontfile.o
EXEC=ttfread test_analyze test_pdf test_ps
LIB=libfontembed.a

#CPPFLAGS=-O3 -funroll-all-loops -finline-functions -Wall -g
CPPFLAGS=-Wall -g -fPIC
LDFLAGS=

OBJECTS=$(patsubst %.c,$(PREFIX)%$(SUFFIX).o,\
        $(patsubst %.cpp,$(PREFIX)%$(SUFFIX).o,\
$(SOURCES)))
DEPENDS=$(patsubst %.c,$(PREFIX)%$(SUFFIX).d,\
        $(patsubst %.cpp,$(PREFIX)%$(SUFFIX).d,\
        $(filter-out %.o,""\
$(SOURCES))))

all: $(LIB)
test: $(EXEC)
ifneq "$(MAKECMDGOALS)" "clean"
  -include $(DEPENDS)
endif 

clean:
	rm -f $(EXEC) $(LIB) $(OBJECTS) $(DEPENDS) 

%.d: %.c
	@$(SHELL) -ec '$(CXX) -MM $(CPPFLAGS) $< \
                      | sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@;\
                      [ -s $@ ] || rm -f $@'

%.d: %.cpp
	@$(SHELL) -ec '$(CXX) -MM $(CPPFLAGS) $< \
                      | sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@;\
                      [ -s $@ ] || rm -f $@'

$(LIB): $(LIBOBJ)
	$(AR) rcu $@ $^ 

ttfread: main.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_analyze: test_analyze.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_pdf: test_pdf.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_ps: test_ps.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

=== debian/local/filters/pdf-filters/pdftoopvp/oprs/Makefile ===

include ../../Makedefs

#
# Object files...
#

LIBOBJS =       \
		OPRS.o \
		OPVPSplash.o \
		OPVPSplashState.o \
		OPVPWrapper_0_2.o \
		OPVPSplashClip.o \
		OPVPSplashPath.o \
		OPVPSplashXPath.o \
		OPVPWrapper.o

OBJS    =	$(LIBOBJS)

TARGETS =	liboprs.a

LIB    =	liboprs.a

#
# Make everything...
#

all:    $(TARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) $(LIB)


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I. -I../.. -I../opvp -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# liboprs.a
#

$(LIB): $(LIBOBJS)
	$(AR) rcu $@ $^ 


#
# Dependencies...
#

include Dependencies

=== debian/changelog ===
cups (1.4.4-7+squeeze9) squeeze-lts; urgency=medium

  * Add the previous patch name into debian/patches/00list, it wasn't applied

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jul 2015 12:40:10 +0200

cups (1.4.4-7+squeeze8) squeeze-lts; urgency=medium

  * Import 1.4 upstream fix for CERT VU#810572: Privilege escalation through
    dynamic linker and isolated vulnerabilities: STR: #4609, VU#810572
    - CVE-2015-1158 - Improper Update of Reference Count
    - CVE-2015-1159 - Cross-Site Scripting

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Jun 2015 10:05:40 +0200

cups (1.4.4-7+squeeze7) squeeze-lts; urgency=medium

  * Backport upstream patches to fix:
    - Buffer overflow in cupsRasterReadPixels (STR #4551), fixes CVE-2014-2679

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Feb 2015 03:19:52 +0000

cups (1.4.4-7+squeeze6) squeeze-lts; urgency=medium

  * Backport upstream patches to fix:
    - insufficient checking when allowing files download from the webinterface
      (STR #4455), fixes CVE-2014-5029, CVE-2014-5030 and CVE-2014-5031
    - privilege escalation through the CUPS webinterface (STR #4450), fixes
      CVE-2014-3537.

 -- Didier Raboud <odyx@debian.org>  Wed, 30 Jul 2014 09:02:13 +0200

cups (1.4.4-7+squeeze5) oldstable; urgency=low

  * Import upstream patch to fix XSS in the CUPS webinterface (STR #4356),
    fixes CVE-2014-2856

 -- Didier Raboud <odyx@debian.org>  Sat, 03 May 2014 15:43:50 +0200

cups (1.4.4-7+squeeze4) oldstable-security; urgency=high

  * Backport security fix from cups-filters 1.0.47:
    pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475, and
    CVE-2013-6476: Introduction of gmallocn and gmallocn3 to protect against
    arbitrary code execution with the privileges of the "lp" user via
    malicious PDF files. Also restrict the directory from where OPVP drivers
    can get loaded (Closes: #741333)

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 14:42:08 +0100

cups (1.4.4-7+squeeze3) stable; urgency=low

  [ Didier Raboud ]
  * Ship cups-files.conf's manpage in cups (Closes: #697543)
    - Update the configuration files split patch to also build the
      manpage;
    - Install the english manpage.
  * Generate translated cups-files.conf's manpage in the po4a
    infrastructure.
  * Minimally update French manpage translation

  [ Helge Kreutzmann ]
  * Update German manpage translation. (Closes: #697860)

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Jan 2013 17:46:27 +0100

cups (1.4.4-7+squeeze2) stable-security; urgency=high

  * Backport upstream configuration files split:
    - Add split-configuration-files-STR4223.dpatch
    - Install the new cups-files.conf
    Fixes: CVE-2012-5519 (Closes: #692791)
  * Make cupsd.conf a non-conffile, as it is managed by cups itself.
    - On new installs, set it up from cupsd.conf.default.
    - On upgrades, move it away in preinst and move it back in postinst.
    - On aborted upgrades, move the file back in place.
    - On purge, delete it too.
  * Document changes in cups.NEWS.

 -- Didier Raboud <odyx@debian.org>  Sat, 29 Dec 2012 12:33:27 +0100

cups (1.4.4-7+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - str3867 added, fix an infinite loop / heap-based buffer overflow in the
      gif_read_lzw() function (CVE-2011-2896)
    - str3914 added, complete the fix for the previous issue (CVE-2011-3170).

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Mon, 28 Nov 2011 15:07:37 +0100

cups (1.4.4-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/parseargs.c,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.cxx,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.h,
    debian/local/filters/pdf-filters/pdftopdf/Makefile: Made pdftopdf
    building with Poppler 0.15.x. Thanks to Koji Otani for this patch.
  * debian/control: Added dependency on "cups-ppdc" package to the "cups"
    package, so that the PPDs of the drivers which come with CUPS get built
    (LP: #485383).

  [ Martin Pitt ]
  * ubuntu-upstart.dpatch: Wait until daemon is ready, to avoid race
    conditions with init scripts which expect cups tools to work right after
    restarting it. (LP: #647369)
  * ubuntu-upstart.dpatch: If D-BUS is not available, start on runlevels 2 to
    5, so that this also works in server environments. (LP: #650893)
  * debian/local/apparmor-profile: Allow access to /usr/local/lib/cups/**.
    (LP: #160092)
  * debian/local/apparmor-profile: Allow reading /usr/local/**, in case
    third-party printer drivers need auxiliary files.
  * debian/local/apparmor-profile: Allow reading /var/run/**. (LP: #659961)
  * ubuntu-upstart.dpatch: Time out after 5 seconds when the local socket
    doesn't get created. Apparently a lot of users disable it in cupsd.conf.
    (LP: #672438)
  * debian/local/filters/pdf-filters/addtocups: Link pdftoijs with $(CXX),
    since it's a C++ program. Fixes FTBFS with gcc 4.5.
  * debian/local/filters/pdf-filters/pdftopdf/Makefile: Explicitly pdftopdf
    with -lz. gcc 4.5 does not automatically link to transitive library
    dependencies any more.
  * drop_unnecessary_dependencies.dpatch: Drop hunk for reduced krb5/gssapi
    linkage. With gcc 4.5, we now need -lkrb5.
  
  [ Marc Deslauriers ]
  * Add CVE-2010-2941.dpatch: Fix denial of service and possible code execution
    via invalid free. Skip over and reserve unused tags in cups/ipp.{c,h}.
    [CVE-2010-2941]

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Nov 2010 11:07:33 +0100

cups (1.4.4-6) unstable; urgency=low

  * debian/cups.preinst: Go back to using lsb-release, since dpkg-vendor is
    not installed by default (it's in dpkg-dev). Bump the version guard to
    this version, to reattempt the migration. (LP: #645328)

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Sep 2010 08:47:11 +0200

cups (1.4.4-5) unstable; urgency=low

  [ Martin Pitt ]


=== debian/control ===
Source: cups
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Standards-Version: 3.8.4
Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg-dev, zlib1g-dev,
 libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
 debhelper (>= 5.0), po-debconf, cdbs (>= 0.4.27), sharutils, 
 dpatch (>= 1.11), libdbus-1-dev, libkrb5-dev | heimdal-dev,
 libavahi-compat-libdnssd-dev, libavahi-common-dev, libavahi-client-dev,
 libpoppler-dev (>= 0.12.2-2), pkg-config,
 poppler-utils, po4a (>= 0.31), autotools-dev, autoconf, automake, 
 libtool, libijs-dev, hardening-wrapper, liblcms1-dev, libfreetype6-dev,
 libfontconfig1-dev, pkg-config, libusb-dev
Uploaders: Kenshi Muto <kmuto@debian.org>, 
 Martin Pitt <mpitt@debian.org>, Roger Leigh <rleigh@debian.org>, 
 Martin-Éric Racine <q-funk@iki.fi>, Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Jeff Licquia <licquia@debian.org>
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Provides: libcupsys2
Breaks: cups (<< 1.4.4)
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsdriver1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - Driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library with useful functions for printer
 drivers.

Package: libcupsmime1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12), procps, ghostscript, lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 ssl-cert (>= 1.0.11), adduser, bc, ttf-freefont, cups-ppdc
Recommends: foomatic-filters (>= 4.0), 
 cups-driver-gutenprint, ghostscript-cups
Suggests: cups-bsd, cups-ppdc, foomatic-db-compressed-ppds | foomatic-db,
 hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified, 
 cups-pdf, smbclient (>= 3.0.9), udev
Replaces: cupsddk-drivers (<< 1.4.0)
Conflicts: cupsddk-drivers (<< 1.4.0)
Provides: cupsddk-drivers
Breaks: foomatic-filters (<< 4.0)
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}), adduser
Suggests: cups, kdeprint, gtklp, cups-pt, xpp, cups-bsd
Conflicts: lprng
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcups2 (= ${binary:Version}), 
 libgnutls-dev, libkrb5-dev | heimdal-dev
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsdriver1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsdriver1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), libcupsimage2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing printer drivers
 using libcupsdriver.

Package: libcupsmime1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0, update-inetd, cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-ppdc
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
Conflicts: cupsddk (<< 1.4.0)
Replaces: cupsddk (<< 1.4.0)
Provides: cupsddk
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides utilities to generate and manipulate PPD files.

Package: cups-dbg
Priority: extra
Section: debug
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

unpatch: deapply-dpatches

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --disable-threads --enable-static --enable-libusb --enable-dbus --with-dbusdir=/etc/dbus-1 --enable-gssapi --enable-avahi --with-pdftops=pdftops --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"

DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt

ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
DEB_DH_INSTALLINIT_ARGS := --upstart-only
else
DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 1 .'
endif

DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
DEB_MAKE_CHECK_TARGET := check || true
else
DEB_MAKE_CHECK_TARGET := check
endif
LDFLAGS := -Wl,--as-needed
DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

post-patches::
	# Add source code of extra filters for PDF printing workflow
	( cd debian/local/filters/pdf-filters/; sh ./addtocups ../../../.. )
	touch pdftopdf/Dependencies
	touch pdftoopvp/Dependencies
	touch pdftoopvp/oprs/Dependencies

common-post-build-arch::
	# Fix permissions of filters/backends installed from debian/local/
	chmod 755 debian/local/filters/*
	#chmod 755 debian/local/backends/*

cleanbuilddir::
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist
	[ ! -f Makedefs ] || make distclean
	# Remove source code of extra filters for PDF printing workflow
	( cd debian/local/filters/pdf-filters/; sh ./removefromcups ../../../.. )

common-install-prehook-impl::
	(cd fonts && $(MAKE) install BUILDROOT=$(DEB_DESTDIR))

binary-post-install/cups::
	(cd $(DEB_DESTDIR)/../cups/usr/share/doc/cups && ln -sf ../../cups/doc-root online-docs)

	# Ensure that we don't ship anything in /var/run
	rm -rf $(DEB_DESTDIR)/../cups/var/run

	# PPD directories
	rmdir $(DEB_DESTDIR)/../cups/usr/share/cups/model
	mkdir -p "$(DEB_DESTDIR)/../cups/usr/share/ppd/cups-included/"

	dh_usrlocal

	# Install AppArmor, ufw profile, and Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
	   install -D -m 644 debian/local/cups.ufw.profile debian/$(cdbs_curpkg)/etc/ufw/applications.d/cups; \
	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups.py; \
	fi

	# Make the usb backend run as root, since /dev/bus/usb/* are
	# root:root in udev < 147, and cups does not use the usblp kernel
	# module any more; udev 147 makes most of those printers accessible to
	# lp, but apparently not all of them
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/usb; \

	# Install documentation of the PDF CUPS filters
	install -m 644 debian/local/filters/pdf-filters/README $(DEB_DESTDIR)/../cups/usr/share/doc/cups/README.pdf-filters
	install -m 644 debian/local/filters/pdf-filters/filter/test.sh $(DEB_DESTDIR)/../cups/usr/share/doc/cups/examples/texttopdf-text.sh
	install -m 644 debian/local/filters/pdf-filters/conf/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd $(DEB_DESTDIR)/../cups/usr/share/doc/cups/examples/
	# Simple Ghostscript-based PostScript-to-PDF filter
	install -m 0755 debian/filters/pstopdf $(DEB_DESTDIR)/../cups/usr/lib/cups/filter

	# Increase the cost of pstops to prefer the PDF filter chain for
	# PostScript printers.
	sed -i -r -e '/\spstops$$/ { s/66/100/ }' \
	  debian/tmp/usr/share/cups/mime/mime.convs

	# Make the serial backend run as root, since /dev/ttyS* are
	# root:dialout and thus not accessible as user lp
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial

binary-post-install/cups-common::
	# Compress charmaps
	gzip -9 debian/$(cdbs_curpkg)/usr/share/cups/charmaps/*.txt

binary-post-install/libcupsimage2-dev::
	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
binary-post-install/cups-bsd::
	rm -r debian/cups-bsd/usr/share/doc/cups-bsd
	ln -s libcups2 debian/cups-bsd/usr/share/doc/cups-bsd
binary-post-install/libcups2-dev::
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.o
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.so
binary-post-install/cups-client::
	rm -r debian/cups-client/usr/share/doc/cups-client
	ln -s libcups2 debian/cups-client/usr/share/doc/cups-client

=== debian/watch ===
version=3
http://ftp.cups.org/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.gz \
	debian uupdate --no-symlink
